Subject: Re: linux-next: build warning after merge of the driver-core tree

From: Viresh Kumar <[email-masked]>
Date: Thu, 8 Oct 2015 12:39:54 +0530

On 08-10-15, 00:47, Rafael J. Wysocki wrote:
> Well, the conflicting commits here were from the same developer which is kind
> of annoying.

I do understand why its annoying, but I wasn't doing them in parallel.
The patches in Greg's tree were written long after the other series
got applied to your tree.

So, I was kind of helpless here :(

> The new use in my tree can wait until the API update in the Greg's tree is
> merged IMO.  That's why I've now dropped the commit that added it. :-)

Looking at the current state of your tree, looks like you have dropped
way too many patches. Was it intentional?

Missing commits:

1840995c52d4 PM / OPP: reuse of_parse_phandle()
f0489a5ef4d0 PM / OPP: Rename opp init/free table routines
8f8d37b2537a PM / OPP: Prefix exported opp routines with dev_pm_opp_
33692dc381f9 PM / OPP: Move opp core to its own directory
f59d3ee8480d PM / OPP: Move cpu specific code to opp/cpu.c
5cb5fdbf3877 PM / OPP: Add debugfs support

I though you just dropped the last commit, but no.

-- 
viresh